ACN::SDT::join_data Struct Reference

4.4.1 Join More...

`#include <sdt.h>`

Inheritance diagram for ACN::SDT::join_data:
[legend]

## Public Member Functions

size_t | streamSize () const override
| join_data::streamSize More...
void | iStream (PDU::Stream) override
| join_data::iStream More...
void | oStream (PDU::Stream) const override
| join_data::oStream More...

## Public Attributes

UUID::uuid | cid
| component UUID
MID | mid
| message ID
uint16_t | channel
| channel number
uint16_t | reciprocal
| reciprocol channel
uint32_t | sequence
| sequence number
uint32_t | reliable
| reliable number
UDP::ipAddress | destination
| destination IP address
params | parameters
| parameters
uint8_t | expiry
| expiry timeout

## Detailed Description

4.4.1 Join

## Member Function Documentation

## iStream()

void ACN::SDT::join_data::iStream | ( | PDU::Stream | stream | ) |

overridevirtual

join_data::iStream

Parameters

  stream |

Implements ACN::PDU::pdu_stream_object.

Here is the call graph for this function:

## oStream()

void ACN::SDT::join_data::oStream | ( | PDU::Stream | stream | ) | const

overridevirtual

join_data::oStream

Parameters

  stream |

Implements ACN::PDU::pdu_stream_object.

Here is the call graph for this function:

## streamSize()

size_t ACN::SDT::join_data::streamSize | ( |  | ) | const

overridevirtual

join_data::streamSize

Returns

Implements ACN::PDU::pdu_stream_object.

Here is the call graph for this function:

The documentation for this struct was generated from the following files:

- /home/kevin/Code/viewer/lib/OpenLCP/protocols/sdt/sdt.h
- /home/kevin/Code/viewer/lib/OpenLCP/protocols/sdt/sdt.cpp